org.keycloak.protocol.openshift

## Class OpenShiftTokenReviewEndpoint

- java.lang.Object
- - org.keycloak.protocol.openshift.OpenShiftTokenReviewEndpoint

- All Implemented Interfaces:
    OIDCExtProvider, EnvironmentDependentProviderFactory, Provider

      public class OpenShiftTokenReviewEndpoint
      extends Object
      implements OIDCExtProvider, EnvironmentDependentProviderFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenShiftTokenReviewEndpoint(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSupported()`
    `void` | `setEvent(EventBuilder event)`
    `javax.ws.rs.core.Response` | `tokenReview(OpenShiftTokenReviewRequestRepresentation reviewRequest)`
    `javax.ws.rs.core.Response` | `tokenReview(String clientId, OpenShiftTokenReviewRequestRepresentation reviewRequest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.ext.OIDCExtProvider

      `close`

- - ### Constructor Detail

    - #### OpenShiftTokenReviewEndpoint

          public OpenShiftTokenReviewEndpoint(KeycloakSession session)

  - ### Method Detail

    - #### setEvent

          public void setEvent(EventBuilder event)

      Specified by:
        `setEvent` in interface `OIDCExtProvider`

    - #### tokenReview

          @Path(value="/")
           @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response tokenReview(OpenShiftTokenReviewRequestRepresentation reviewRequest)
                                                                                                                                                  throws Exception

      Throws:
        `Exception`

    - #### tokenReview

          @Path(value="/{client_id}")
           @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response tokenReview(@PathParam(value="client_id")
                                                                                                                                                                    String clientId,
                                                                                                                                                                    OpenShiftTokenReviewRequestRepresentation reviewRequest)
                                                                                                                                                             throws Exception

      Throws:
        `Exception`

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in interface `EnvironmentDependentProviderFactory`
      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

Copyright © 2020 JBoss by Red Hat. All rights reserved.